27 Jan 2014 14:49 - John Abbott

Status: Closed Start date: 27 Jan 2014

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Administration Estimated time: 0.00 hour

Target version:  Spent time: 0.35 hour

Description

Here's what we hope to do during the week here.

Related issues:

Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012

Related to CoCoALib - Feature #209: ReadExpr: input polynomials in CoCoALib Closed 24 Jul 2012

Related to CoCoALib - Feature #407: RingElem ctor from mpz_t (from Bruns) Closed 12 Oct 2013

Related to CoCoALib - Feature #233: AsINT and AsRAT  -- ConvertTo<BigInt> and... Closed 25 Sep 2012

Related to CoCoALib - Bug #413: OrdvArith: use of a single buffer is NOT THRE... Closed 21 Nov 2013

Related to CoCoALib - Feature #430: Use -fopenmp flag when compiling CoCoALib... Closed 29 Jan 2014

Related to CoCoA - Bug #238: Cleaner CVS? Closed 26 Sep 2012

Related to CoCoALib - Feature #431: NewPolyRing_DMPI has no constructor with ... Closed 30 Jan 2014

Related to CoCoALib - Feature #342: Remove denominators: QQ[x] -> ZZ[x]   (an... Closed 17 Apr 2013

Related to CoCoALib - Design #254: How to return a Hilbert Series in CoCoALib Closed 08 Oct 2012

History

#1 - 27 Jan 2014 15:26 - John Abbott

Bruns mentioned sometime ago (1 year?) that CoCoALib-0.9951 was about 20% faster than a later version.

20140127: Christof is running some tests on his linux box, and he is observing quite significant variation in relative execution speeds (comparing

0.9951, 0.99531 CVS, 0.99531 JAA "private" version).

20140128: The speed comparison did not show evidence of 0.9951 being uniformly faster than the current version (0.99531); nevertheless, there

were considerable variations in relative performance.

We are now regarding the reported apparent drop in performance as an occasional phenomenon (perhaps due to memory access patterns and

mysterious cache effects?)

#2 - 28 Jan 2014 14:45 - Anna Maria Bigatti

- Status changed from New to In Progress

#3 - 10 Jul 2014 13:35 - John Abbott

- Category set to Administration

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Essentially everything listed has been done --> closing.
